## dumpet 2.1

=== Makefile ===

VERSION=2.1
GITVERSION=$(shell [ -d .git ] && git rev-list  --abbrev-commit  -n 1 HEAD  |cut -b 1-8)

CFLAGS:=-g3 -O2 -Wall -Werror
LFLAGS:=
CC:=gcc

CFLAGS += $(shell pkg-config --cflags libxml-2.0)
LFLAGS += -lpopt $(shell pkg-config --libs libxml-2.0)

all : dumpet

dumpet : dumpet.o
	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS)

dumpet.o : dumpet.c dumpet.h iso9660.h eltorito.h endian.h
	$(CC) $(CFLAGS) -c -o $@ $<

clean : 
	@rm -vf *.o dumpet

install : all
	install -D -m 0755 dumpet ${DESTDIR}/usr/bin/dumpet
	install -D -m 0644 dumpet.1 ${DESTDIR}/usr/share/man/man1/dumpet.1

test-archive: clean all dumpet-$(VERSION)-$(GITVERSION).tar.bz2

archive: clean all dumpet-$(VERSION).tar.bz2

dist: tag archive

tag:
	git tag $(VERSION) refs/heads/master

dumpet-$(VERSION).tar.bz2:
	git archive --format=tar $(VERSION) --prefix=dumpet-$(VERSION)/ |bzip2 > dumpet-$(VERSION).tar.bz2

dumpet-$(VERSION)-$(GITVERSION).tar.bz2:
	git archive --format=tar HEAD --prefix=dumpet-$(VERSION)-$(GITVERSION)/ |bzip2 > dumpet-$(VERSION)-$(GITVERSION).tar.bz2

upload: dist
	@scp dumpet-$(VERSION).tar.bz2 fedorahosted.org:dumpet

.PHONY : all install clean

=== debian/changelog ===
dumpet (2.1-9) unstable; urgency=medium

  * Fix debian/copyright to use Format rather than Format-Specification.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Jan 2016 15:11:19 +0000

dumpet (2.1-8) unstable; urgency=medium

  * Convert debian/copyright to copyright-format 1.0.
  * Upgrade to debhelper v9.
  * Use HTTPS for Vcs-* URLs.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 11:06:37 +0000

dumpet (2.1-7) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Policy version 3.9.6: no changes required.
  * Simplify debian/rules using /usr/share/dpkg/buildflags.mk.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Oct 2014 12:48:58 +0100

dumpet (2.1-6) unstable; urgency=medium

  * Switch to git; adjust Vcs-* fields.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 01 Jan 2014 16:20:38 +0000

dumpet (2.1-5) unstable; urgency=low

  * Remove $(CFLAGS) from link line; this broke linking with clang.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 15:04:17 +0100

dumpet (2.1-4) unstable; urgency=low

  * Allow cross-compiling, making use of dpkg-buildflags along the way.

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Apr 2012 14:42:50 +0100

dumpet (2.1-3) unstable; urgency=low

  * Update Vcs-Bzr field for Alioth changes.
  * Build with large file support, to handle images of 2 GiB and over.

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Mar 2012 18:32:03 +0000

dumpet (2.1-2) unstable; urgency=low

  * Build-depend on pkg-config (closes: #601924).

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Nov 2010 10:10:59 +0000

dumpet (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Aug 2010 18:09:44 +0100

dumpet (2.0-1) unstable; urgency=low

  * Initial release (closes: #594360).
  * Add a manual page, sent upstream.

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Aug 2010 17:11:57 +0100

=== debian/control ===
Source: dumpet
Section: otherosfs
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.6
Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), libpopt-dev, libxml2-dev, pkg-config
Homepage: https://fedorahosted.org/dumpet/
Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/dumpet.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/dumpet.git/

Package: dumpet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dump information about bootable CDs and other similar formats
 A tool for debugging El Torito boot images.  This can dump the El Torito
 structure in various readable output formats.

=== debian/watch ===
version=3
https://fedorahosted.org/releases/d/u/dumpet/dumpet-(.*)\.tar\.bz2
